Skip to main content
PATCH
/
api
/
v1
/
sandboxes
/
{id}
Update sandbox preferences
curl --request PATCH \
  --url https://neo.api.projectdiscovery.io/api/v1/sandboxes/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "display_name": "<string>",
  "is_default": true,
  "purpose": "<string>"
}
'
{
  "error": "Bad request",
  "code": "user_spending_cap_reached",
  "error_id": "<string>",
  "kind": "forbidden request",
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

id
string<uuid>
required

Sandbox id from the list response. Self-hosted sandboxes only.

Body

application/json
display_name
string
Maximum string length: 64
is_default
boolean
purpose
string
Maximum string length: 200

Response

Preferences updated